Subject: bug#38764: closed (emacs-darkroom: buggy display behavior and errors)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Apr 2021 16:57:02 +0000

Your bug report

#38764: emacs-darkroom: buggy display behavior and errors

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38764: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38764
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: emacs-darkroom: buggy display behavior and errors
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Wed, 07 Apr 2021 08:56:32 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Attempting to close bug.

Christopher H

Subject: emacs-darkroom: buggy display behavior and errors
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Fri, 27 Dec 2019 09:10:06 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, with emacs-26.2, emacs-darkroom, in darkroom-tentative-mode,
often gives buggy display behavior and errors, though in sporadic
fashion that is difficult to reproduce mechanically. With frequent use,
the three following problems are often noticed:

1) Sometime I get an "outside of point" error, which prevents me from
disabling darkroom-tentative-mode or using other keyboard meta
commmands. I can escape by using the gtk menu.

2) Sometimes when I disable darkroom-tentative-mode, the text shrinks
very small to fit into the size of the window it happens to be in.

3) Sometimes enabling darkroom-tentative-mode centers the text but does
not resize it, or resizes it but does not center it.

I believe this behavior might be somehow related to the use of non-
standard monospace fonts or font sizes in custom emacs options.

-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com